> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# upsertWorkflowRule

> Create or update a workflow rule



## OpenAPI

````yaml PUT /workflow-rule/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /workflow-rule/{projectId}:
    put:
      tags:
        - Workflow Rules
      summary: Upsert Workflow Rule
      description: Create or update a workflow rule
      operationId: upsertWorkflowRule
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                integrationType:
                  type: string
                eventType:
                  type: string
                columnId:
                  type: string
              required:
                - integrationType
                - eventType
                - columnId
      responses:
        '200':
          description: Workflow rule upserted successfully
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````